gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.ExpanderAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype ExpanderAccessible = ExpanderAccessible (ManagedPtr ExpanderAccessible)
- class (GObject o, IsDescendantOf ExpanderAccessible o) => IsExpanderAccessible o
- toExpanderAccessible :: (MonadIO m, IsExpanderAccessible o) => o -> m ExpanderAccessible

# Exported types

newtype ExpanderAccessible Source #

Memory-managed wrapper type.

Constructors

ExpanderAccessible (ManagedPtr ExpanderAccessible) |

#### Instances

Instances details

Eq ExpanderAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ExpanderAccessible Methods (==) :: ExpanderAccessible -> ExpanderAccessible -> Bool Source # (/=) :: ExpanderAccessible -> ExpanderAccessible -> Bool Source #
GObject ExpanderAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ExpanderAccessible
ManagedPtrNewtype ExpanderAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ExpanderAccessible Methods toManagedPtr :: ExpanderAccessible -> ManagedPtr ExpanderAccessible Source #
TypedObject ExpanderAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ExpanderAccessible Methods glibType :: IO GType Source #
HasParentTypes ExpanderAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ExpanderAccessible
IsGValue (Maybe ExpanderAccessible) Source # | Convert `ExpanderAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.ExpanderAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ExpanderAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ExpanderAccessible) Source #
type ParentTypes ExpanderAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ExpanderAccessible type ParentTypes ExpanderAccessible = '[ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Action, Component]

class (GObject o, IsDescendantOf ExpanderAccessible o) => IsExpanderAccessible o Source #

Type class for types which can be safely cast to `ExpanderAccessible`, for instance with `toExpanderAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf ExpanderAccessible o) => IsExpanderAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.ExpanderAccessible

toExpanderAccessible :: (MonadIO m, IsExpanderAccessible o) => o -> m ExpanderAccessible Source #

Cast to `ExpanderAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, doAction, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getIndexInParent, getKeybinding, getLayer, getLocalizedName, getMdiZorder, getNAccessibleChildren, getNActions, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.